public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-chemistry/pymol/
Date: Sat, 24 Jun 2023 17:44:18 +0000 (UTC)	[thread overview]
Message-ID: <1687627022.b79fe624316f1410e0ac77c10ded47222fcd9d57.pacho@gentoo> (raw)

commit:     b79fe624316f1410e0ac77c10ded47222fcd9d57
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 24 17:17:02 2023 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Jun 24 17:17:02 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b79fe624

sci-chemistry/pymol: Drop dev-libs/msgpack[cxx(-)] to workaround portage bug

Bug: https://bugs.gentoo.org/872227
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 sci-chemistry/pymol/pymol-2.5.0-r3.ebuild | 98 +++++++++++++++++++++++++++++++
 1 file changed, 98 insertions(+)

diff --git a/sci-chemistry/pymol/pymol-2.5.0-r3.ebuild b/sci-chemistry/pymol/pymol-2.5.0-r3.ebuild
new file mode 100644
index 000000000000..92415ecd58a6
--- /dev/null
+++ b/sci-chemistry/pymol/pymol-2.5.0-r3.ebuild
@@ -0,0 +1,98 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit desktop flag-o-matic xdg distutils-r1
+
+DESCRIPTION="A Python-extensible molecular graphics system"
+HOMEPAGE="https://www.pymol.org/"
+SRC_URI="
+	https://dev.gentoo.org/~pacho/${PN}/${PN}-1.8.4.0.png.xz
+	https://github.com/schrodinger/pymol-open-source/archive/v${PV}.tar.gz -> ${P}.tar.gz
+	"
+LICENSE="BitstreamVera BSD freedist HPND OFL public-domain UoI-NCSA" #844991
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="+netcdf web"
+
+DEPEND="
+	dev-cpp/msgpack-cxx
+	dev-libs/mmtf-cpp
+	dev-python/pyopengl[${PYTHON_USEDEP}]
+	dev-python/PyQt5[opengl,${PYTHON_USEDEP}]
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/pmw[${PYTHON_USEDEP}]
+	media-libs/freetype:2
+	media-libs/glew:0=
+	media-libs/glm
+	media-libs/libpng:0=
+	media-video/mpeg-tools
+	sys-libs/zlib
+	netcdf? ( sci-libs/netcdf:0= )
+"
+RDEPEND="${DEPEND}
+	sci-chemistry/chemical-mime-data
+"
+
+S="${WORKDIR}"/${PN}-open-source-${PV}
+
+python_prepare_all() {
+	sed \
+		-e "s:\"/usr:\"${EPREFIX}/usr:g" \
+		-e "/ext_comp_args.*+=/s:\[.*\]$:\[\]:g" \
+		-i setup.py || die
+
+	sed \
+		-e "s:/opt/local:${EPREFIX}/usr:g" \
+		-e '/ext_comp_args/s:\[.*\]:[]:g' \
+		-i setup.py || die
+	sed \
+		-e "s:\['msgpackc'\]:\['msgpack'\]:g" \
+		-i setup.py || die
+
+	append-cxxflags -std=c++0x
+
+	use !netcdf && mydistutilsargs=( --no-vmd-plugins )
+
+	distutils-r1_python_prepare_all
+}
+
+python_install() {
+	distutils-r1_python_install \
+		--pymol-path="${EPREFIX}/usr/share/pymol"
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+
+	sed \
+		-e '1i#!/usr/bin/env python' \
+		"${D}/$(python_get_sitedir)"/pymol/__init__.py > "${T}"/${PN} || die
+
+	python_foreach_impl python_doscript "${T}"/${PN}
+
+	# These environment variables should not go in the wrapper script, or else
+	# it will be impossible to use the PyMOL libraries from Python.
+	cat >> "${T}"/20pymol <<- EOF || die
+		PYMOL_PATH="${EPREFIX}/usr/share/pymol"
+		PYMOL_DATA="${EPREFIX}/usr/share/pymol/data"
+		PYMOL_SCRIPTS="${EPREFIX}/usr/share/pymol/scripts"
+	EOF
+
+	doenvd "${T}"/20pymol
+
+	newicon "${WORKDIR}"/${PN}-1.8.4.0.png ${PN}.png
+	make_desktop_entry "${PN} %u"  PyMol ${PN} \
+		"Graphics;Education;Science;Chemistry;" \
+		"MimeType=chemical/x-pdb;chemical/x-mdl-molfile;chemical/x-mol2;chemical/seq-aa-fasta;chemical/seq-na-fasta;chemical/x-xyz;chemical/x-mdl-sdf;"
+
+	if ! use web; then
+		rm -rf "${D}/$(python_get_sitedir)/web" || die
+	fi
+
+	rm -f "${ED}"/usr/share/${PN}/LICENSE || die
+}


             reply	other threads:[~2023-06-24 17:44 UTC|newest]

Thread overview: 57+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-06-24 17:44 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-02 10:24 [gentoo-commits] repo/gentoo:master commit in: sci-chemistry/pymol/ Alexey Shvetsov
2024-11-23 17:31 Andreas Sturmlechner
2024-09-05  4:08 Eli Schwartz
2024-09-05  4:08 Eli Schwartz
2024-05-17 19:21 Alexey Shvetsov
2024-05-13 16:11 Ulrich Müller
2023-07-20 11:31 Pacho Ramos
2023-07-19  8:28 Pacho Ramos
2023-07-19  8:28 Pacho Ramos
2023-05-02 18:42 Pacho Ramos
2023-02-07  9:42 Marek Szuba
2023-02-05 21:01 Marek Szuba
2022-07-31  8:27 Sam James
2022-05-22 11:18 Pacho Ramos
2022-04-08  9:54 Alexey Shvetsov
2021-05-20 15:07 Pacho Ramos
2021-05-16 20:41 Alexey Shvetsov
2021-05-02 19:22 Pacho Ramos
2021-01-18 10:14 David Seifert
2021-01-14 23:11 Pacho Ramos
2021-01-06 15:10 Fabian Groffen
2020-11-28 19:36 Alexey Shvetsov
2020-11-27 13:39 Alexey Shvetsov
2020-11-27 13:31 Alexey Shvetsov
2020-10-14 10:43 Alexey Shvetsov
2020-09-07  8:55 David Seifert
2020-08-01 23:20 Andreas Sturmlechner
2020-06-03 21:22 Alexey Shvetsov
2020-03-04 18:02 Alexey Shvetsov
2020-02-07 18:41 Pacho Ramos
2020-01-28 18:24 Michał Górny
2020-01-22 21:50 Michał Górny
2020-01-16  6:39 Michał Górny
2020-01-16  6:39 Michał Górny
2019-09-27 17:33 Michał Górny
2019-06-01  8:40 Alexey Shvetsov
2019-02-26 14:15 Alexey Shvetsov
2018-11-13 10:13 Alexey Shvetsov
2018-11-08 10:05 Alexey Shvetsov
2018-03-29 11:43 Alexey Shvetsov
2017-09-12 22:58 Matt Turner
2017-03-27 14:09 Alexey Shvetsov
2017-02-25 20:56 Justin Lecher
2017-02-14 15:39 Agostino Sarubbo
2017-02-13 11:13 Agostino Sarubbo
2017-02-12 19:51 Justin Lecher
2016-10-23 20:25 Justin Lecher
2016-09-24 15:56 Alexey Shvetsov
2015-11-12 16:20 Justin Lecher
2015-11-11 15:01 Agostino Sarubbo
2015-11-11 15:00 Agostino Sarubbo
2015-11-11 11:35 Justin Lecher
2015-11-11 11:35 Justin Lecher
2015-11-11 10:39 Agostino Sarubbo
2015-09-24 10:57 Agostino Sarubbo
2015-08-27 15:01 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1687627022.b79fe624316f1410e0ac77c10ded47222fcd9d57.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox